[meta-security][PATCH 3/5] libseccomp: fix rdepends


Armin Kuster
 

WARNING: QA Issue: libseccomp requires /bin/bash, but no providers in its RDEPENDS [file-rdeps]

Signed-off-by: Armin Kuster <akuster808@...>
---
recipes-security/libseccomp/libseccomp_2.1.1.bb | 2 ++
1 file changed, 2 insertions(+)

diff --git a/recipes-security/libseccomp/libseccomp_2.1.1.bb b/recipes-security/libseccomp/libseccomp_2.1.1.bb
index 0663656..f15c6b0 100644
--- a/recipes-security/libseccomp/libseccomp_2.1.1.bb
+++ b/recipes-security/libseccomp/libseccomp_2.1.1.bb
@@ -30,3 +30,5 @@ do_install() {
PACKAGES += "${PN}-tests "
FILES_${PN}-tests = "${libdir}/${BPN}/tests/*"
FILES_${PN}-dbg += "${libdir}/${BPN}/tests/.debug/*"
+
+RDEPENDS_${PN} = "bash"
--
1.9.1

Join yocto@lists.yoctoproject.org to automatically receive all group messages.